CVE-2004-0008

Current Description

Integer overflow in Gaim 0.74 and earlier, and Ultramagnetic before 0.81, allows remote attackers to cause a denial of service and possibly execute arbitrary code via a directIM packet that triggers a heap-based buffer overflow.

Basic Data

PublishedMarch 03, 2004
Last ModifiedOctober 11, 2017
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:N/AC:L/Au:N/C:P/I:P/A:P
CVSS 2 - Access VectorNETWORK
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactPARTIAL
CVSS 2 - Availability ImpactPARTIAL
CVSS 2 - Base Score7.5
SeverityHIGH
Exploitability Score10.0
Impact Score6.4
Obtain All Privilegefalse
Obtain User Privilegefalse
Obtain Other Privilegetrue

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3ApplicationRob FlynnGaim********0.74
    2.3ApplicationUltramagneticUltramagnetic********0.81

Vulnerable Software List

VendorProductVersions
Rob Flynn Gaim *
Ultramagnetic Ultramagnetic *

References

NameSourceURLTags
20040201-01-Uftp://patches.sgi.com/support/free/security/advisories/20040201-01-U.ascSGI
20040202-01-Uftp://patches.sgi.com/support/free/security/advisories/20040202-01-U.ascSGI
20040126 Advisory 01/2004: 12 x Gaim remote overflowshttp://archives.neohapsis.com/archives/fulldisclosure/2004-01/0994.htmlFULLDISC
CLA-2004:813http://distro.conectiva.com.br/atualizacoes/?id=a&anuncio=000813CONECTIVA
20040126 Advisory 01/2004: 12 x Gaim remote overflowshttp://marc.info/?l=bugtraq&m=107513690306318&w=2BUGTRAQ
20040127 [slackware-security] GAIM security update (SSA:2004-026-01)http://marc.info/?l=bugtraq&m=107522338611564&w=2BUGTRAQ
20040127 Ultramagnetic Advisory #001: Multiple vulnerabilities in Gaim codehttp://marc.info/?l=bugtraq&m=107522432613022&w=2BUGTRAQ
http://security.e-matters.de/advisories/012004.htmlhttp://security.e-matters.de/advisories/012004.htmlMISCPATCH Vendor Advisory
GLSA-200401-04http://security.gentoo.org/glsa/glsa-200401-04.xmlGENTOO
http://ultramagnetic.sourceforge.net/advisories/001.htmlhttp://ultramagnetic.sourceforge.net/advisories/001.htmlCONFIRMPATCH Vendor Advisory
DSA-434http://www.debian.org/security/2004/dsa-434DEBIAN
VU#779614http://www.kb.cert.org/vuls/id/779614CERT-VNThird Party Advisory US Government Resource
MDKSA-2004:006http://www.mandriva.com/security/advisories?name=MDKSA-2004:006MANDRAKE
3734http://www.osvdb.org/3734OSVDB
RHSA-2004:032http://www.redhat.com/support/errata/RHSA-2004-032.htmlREDHATPATCH Vendor Advisory
RHSA-2004:033http://www.redhat.com/support/errata/RHSA-2004-033.htmlREDHAT
RHSA-2004:045http://www.redhat.com/support/errata/RHSA-2004-045.htmlREDHAT
1008850http://www.securitytracker.com/id?1008850SECTRACK
gaim-directim-bo(14937)https://exchange.xforce.ibmcloud.com/vulnerabilities/14937XF
oval:org.mitre.oval:def:820https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A820OVAL
oval:org.mitre.oval:def:9469https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A9469OVAL